org.crosswire.common.util

## Class PatternFormatter

- java.lang.Object
- - java.util.logging.Formatter
  - - org.crosswire.common.util.PatternFormatter

-     public class PatternFormatter
      extends Formatter

  Formats a log entry by pattern.
  - {0} is the Date
  - {1} is the name of the logger
  - {2} is the level of the record
  - {3} is the message
  - {4} is the throwable
  - {5} is the class name (typically the same as the logger's name)
  - {6} is the method name
  - {7} is the line number
  - {8} is the system supplied new line
  Author:
    DM Smith, Joe Walker
  See Also:
    `The GNU Lesser General Public License for details.`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private Date` | `dat`
    `private static String` | `DEFAULT_FORMAT`
    `private String` | `lineSeparator`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PatternFormatter()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `format(LogRecord record)` Format the given LogRecord.

    - ### Methods inherited from class java.util.logging.Formatter

      `formatMessage, getHead, getTail`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### dat

          private Date dat

    - #### DEFAULT_FORMAT

          private static final String DEFAULT_FORMAT

      See Also:
        Constant Field Values

    - #### lineSeparator

          private String lineSeparator

  - ### Constructor Detail

    - #### PatternFormatter

          public PatternFormatter()

  - ### Method Detail

    - #### format

          public String format(LogRecord record)

      Format the given LogRecord.
      Specified by:
        `format` in class `Formatter`
      Parameters:
        `record` - the log record to be formatted.
      Returns:
        a formatted log record